# findme.h File Reference

Go to the source code of this file.

## Functions

const char * | findProgramPath (const char *argv0)
| Return absolute path to executable by searching PATH.

## Detailed Description

Definition in file findme.h.

## Function Documentation

const char* findProgramPath | ( | const char * | argv0 | ) |

Return absolute path to executable by searching PATH.

Parameters:

  | argv0 | name of executable

Returns:
  (malloc'd) absolute path to executable (or NULL)

Definition at line 12 of file findme.c.

References alloca(), getenv(), X_OK, and xstrdup().

Referenced by execCommand().